package pract05;

import fundamentos.*;

/**
 * Gestion de las reparaciones de vehiculos realizadas por un
 * taller mecanico
 * 
 * @author  Metodos de Programacion (UC)
 * @version mar-15
 */
public class GestionReparaciones {

	/**
	 * Programa principal basado en menu
	 */
	public static void main(String[] args) {
		// opciones del menu
		final int NUEVO_VEHICULO = 0, ELIMINA_VEHICULO = 1, NUEVA_REPARACION = 2,
				BUSCA_REPARACION = 3;

		// variables auxiliares
		Lectura lect;
		String matricula;

		// crea el taller
		// TODO

		// crea la ventana de menu
		Menu menu = new Menu("Reparaciones taller");
		menu.insertaOpcion("Nuevo Vehiculo", NUEVO_VEHICULO);
		menu.insertaOpcion("Elimina vehiculo", ELIMINA_VEHICULO);
		menu.insertaOpcion("Nueva reparacion", NUEVA_REPARACION);
		menu.insertaOpcion("Busca reparacion", BUSCA_REPARACION);
		int opcion;

		// lazo de espera de comandos del usuario
		while(true) {
			opcion = menu.leeOpcion();

			// realiza las acciones dependiendo de la opcion elegida
			switch (opcion) {
			case NUEVO_VEHICULO:
				lect = new Lectura("Nuevo vehiculo");
				lect.creaEntrada("Matricula", "");
				lect.esperaYCierra();
				matricula = lect.leeString("Matricula");

				// registra el vehiculo en el taller
				// TODO
				break;

			case ELIMINA_VEHICULO:
				lect = new Lectura("Elimina vehiculo");
				lect.creaEntrada("Matricula", "");
				lect.esperaYCierra();
				matricula = lect.leeString("Matricula");

				// elimina el vehiculo del taller
				// TODO
				break;

			case NUEVA_REPARACION:
				lect = new Lectura("Nueva reparacion");
				lect.creaEntrada("Matricula", "");
				lect.creaEntrada("Descripcion Reparacion", "");
				lect.creaEntrada("Precio Reparacion", "");
				lect.esperaYCierra();
				matricula = lect.leeString("Matricula");
				String descripcion = lect.leeString("Descripcion Reparacion");
				double precio = lect.leeDouble("Precio Reparacion");

				// asigna la reparacion con el vehiculo
				// TODO
				break;

			case BUSCA_REPARACION:
				lect = new Lectura("Busca reparacion");
				lect.creaEntrada("Matricula", "");
				lect.creaEntrada("Palabra clave", "");
				lect.esperaYCierra();
				matricula = lect.leeString("Matricula");
				String palabraClave = lect.leeString("Palabra clave");

				// muestra la reparacion buscada
				// TODO
				break;
			}
		}
	}

	/**
	 * Metodo auxiliar que muestra un ventana de mensaje
	 * @param titulo titulo de la ventana
	 * @param txt texto contenido en la ventana
	 */
	private static void mensaje(String titulo, String txt) {
		Mensaje msj = new Mensaje(titulo);
		msj.escribe(txt);
	}

}
