package pract05;

/**
 * Reparacion realizada a un vehiculo
 * 
 * @author Metodos de Programacion (UC)
 * @version mar-2015
 */
public class Reparacion {
	// descripcion de la reparacion
	private final String descripcion;
	
	// precio de la reparacion
	private final double precio;
		
	/**
	 * Crea una reparacion con los datos indicados
	 * 
	 * @param descripcion descripcion de la reparacion
	 * @param precio precio de la reparacion
	 */
	public Reparacion(String descripcion, double precio) {
		this.descripcion = descripcion;
		this.precio = precio;
	}

	/**
	 * Retorna la descripcion de la reparacion
	 * @return descripcion de la reparacion
	 */
	public String descripcion() {
		return descripcion;
	}
	
	/**
	 * Retorna el precio de la reparacion
	 * @return precio de la reparacion
	 */
	public double precio() {
		return precio;
	}
}
